## org.apache.poi
Class OldFileFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.poi.OldFileFormatException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  OldExcelFormatException, OldPowerPointFormatException, OldWordFileFormatException

    public abstract class OldFileFormatException

extends java.lang.IllegalArgumentException

Base class of all the exceptions that POI throws in the event that it's given a file that's older than currently supported.

See Also:
  Serialized Form

Constructor Summary
`OldFileFormatException(java.lang.String s)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OldFileFormatException

    public OldFileFormatException(java.lang.String s)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.